/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2002 The Inti Development Team.
 *
 *  base.cc - Referenced base class for ReferencedObject, G::Boxed and G::TypeInstance classes.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "base.h"

using namespace Inti;

ReferencedBase::ReferencedBase()
: referenced(false)
{
}

ReferencedBase::~ReferencedBase()
{
}

void
ReferencedBase::set_referenced(bool reference)
{
	referenced = reference;
}

bool
ReferencedBase::is_referenced() const
{
	return referenced;
}

void
ReferencedBase::ref()
{
}

void
ReferencedBase::unref()
{
}

