/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2003 The Inti Development Team.
 *
 *  timer.cc - GTimer C++ wrapper implementation
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "timer.h"

using namespace Inti;

G::Timer::Timer()
: timer_(g_timer_new())
{
}

G::Timer::~Timer()
{
	if (timer_)
	{
		g_timer_destroy(timer_);
		timer_ = 0;
	}
}

G::Timer::operator GTimer* () const
{
	return this ? timer_ : 0;
}

void
G::Timer::start()
{
	g_timer_start(timer_);
}

void
G::Timer::stop()
{
	g_timer_stop(timer_);
}

void
G::Timer::reset()
{
	g_timer_reset(timer_);
}

double
G::Timer::elapsed(unsigned long *microseconds)
{
	return g_timer_elapsed(timer_, microseconds);
}

