/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2002-2003 The Inti Development Team.
 *
 *  drawingarea.cc - GtkDrawingArea C++ wrapper implementation
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "drawingarea.h"
#include "private/drawingarea_p.h"

using namespace Inti;

/*  Gtk::Drawingarea
 */

Gtk::DrawingArea::DrawingArea(GtkDrawingArea *drawing_area, bool reference)
: Widget((GtkWidget*)drawing_area, reference)
{
}

Gtk::DrawingArea::DrawingArea() 
: Widget((GtkWidget*)DrawingAreaClass::create())
{
}

Gtk::DrawingArea::DrawingArea(int width, int height)
: Widget((GtkWidget*)DrawingAreaClass::create())
{
	set_size_request(width, height);
}

Gtk::DrawingArea::~DrawingArea() 
{
}

GtkDrawingAreaClass* 
Gtk::DrawingArea::gtk_drawing_area_class() const 
{ 
	return get_class<GtkDrawingAreaClass>(); 
}
	
Gtk::DrawingArea::operator GtkDrawingArea* () const 
{ 
	return this ? gtk_drawing_area() : 0; 
}
	
/*  Gtk::DrawingAreaClass
 */

void
Gtk::DrawingAreaClass::init(GtkDrawingAreaClass *g_class)
{
	WidgetClass::init((GtkWidgetClass*)g_class);
}

GType
Gtk::DrawingAreaClass::get_type()
{
	static GType type = 0;
	if (!type)
	{
		type = G::TypeInstance::register_type(GTK_TYPE_DRAWING_AREA, (GClassInitFunc)init);
	}
	return type;
}

void*
Gtk::DrawingAreaClass::create()
{
	return g_object_new(get_type(), 0);
}

