/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2002 The Inti Development Team.
 *
 *  object.cc - Reference counted base class for dynamic objects handled the Inti smart pointer.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "object.h"

using namespace Inti;

/*  ReferencedObject
 */

ReferencedObject::ReferencedObject()
{
	ref_count = 1;
	set_referenced(true);
}

ReferencedObject::~ReferencedObject()
{
}

void
ReferencedObject::ref()
{
	++ref_count;
}

void
ReferencedObject::unref()
{
	if (--ref_count == 0)
		delete this;
}

